Get counter by code - Fabric
Get counter by code
cURL
curl --request GET \
--url https://api.fabric.inc/v3/inventory-counters/{counterCode} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
import requests
url = "https://api.fabric.inc/v3/inventory-counters/{counterCode}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/inventory-counters/{counterCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Status Codes
Sample Responses
Successful Response
{
"code": "onHand",
"id": "38271022e832a1",
"name": "onHand"
}
Client Error Response
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
Unauthorized Response
{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}
Not Found Response
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc",
"type": "CLIENT_ERROR"
}
Server Error Response
{
"message": "Internal server error",
"type": "SERVER_ERROR"
}
Required Headers
- Authorization:
Bearer <token> (string): required
- x-fabric-tenant-id: (string): required
- x-fabric-channel-id: (string): required
Path Parameters
- counterCode: (string): required